/*
 * Switch a MMU context.
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 1996 by Ralf Baechle
 */
#ifndef __ASM_MIPS_MMU_CONTEXT_H
#define __ASM_MIPS_MMU_CONTEXT_H

#include <asm/cachectl.h>

/*
 * This is only required due to the bit 12/13 index problem on > R4000.
 * Damn virtual caches.
 */
#if (_MIPS_ISA == _MIPS_ISA_MIPS3) || (_MIPS_ISA == _MIPS_ISA_MIPS4)
extern __inline__ void v_cacheflush(void)
{
	sys_cacheflush(0, ~0, BCACHE);
}
#else
extern __inline__ void v_cacheflush(void) { }
#endif

extern __inline__ void get_mmu_context(struct task_struct *p)
{
	v_cacheflush();
	/*
	 * Get a new mmu context.  For MIPS we use resume() to change the
	 * PID (R3000)/ASID (R4000).  Well, we will ...
	 */
}

#endif /* __ASM_MIPS_MMU_CONTEXT_H */
